Package com.artofsolving.jodconverter.openoffice.connection

# Class OpenOfficeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.artofsolving.jodconverter.openoffice.connection.OpenOfficeException

All Implemented Interfaces:
  `Serializable`

public class OpenOfficeException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OpenOfficeException(String message)`
`OpenOfficeException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OpenOfficeException

public OpenOfficeException(String message)

### OpenOfficeException

public OpenOfficeException(String message, Throwable cause)